Subject: RE: Path Manager Rewrite / Optimization project
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 10 Oct 2001 14:56:18 -0700 (PDT)

My comments are in fuschia.
Lisa

 -----Original Message-----
From: 	Pinion, Richard  
Sent:	Wednesday, October 10, 2001 2:35 PM
To:	Pena, Matt
Cc:	Warner, John; Ripley, Brian; D'Souza, Romeo; Rao, Ramesh; Kinsey, Lisa; Lamadrid, Victor; Sullivan, Mary; Sullivan, Patti; Heal, Kevin; Staab, Theresa; Farmer, Daren J.; Jaquet, Tammy; Superty, Robert; Bussell l, Kathryn
Subject:	RE: Path Manager Rewrite / Optimization project

Following are my comments.  The managers cc'd might have some additional thoughts.

 -----Original Message-----
From: 	Pena, Matt  
Sent:	Monday, October 08, 2001 4:26 PM
To:	Pinion, Richard; Jaquet, Tammy; Superty, Robert; Pena, Matt
Cc:	Warner  , John ; Ripley, Brian; D'Souza, Romeo; Rao, Ramesh
Subject:	Path Manager Rewrite / Optimization project
Importance:	High

All:

We're currently identifying processes that are inefficient and could possibly benefit from being rewritten or not even performed.  Going foward, I would like Bob to appoint a lead business person to whom we could ask questions and or suggest ideas to so that they could in turn validate this information with the desk managers/schedulers.  We had this approach with Nomlogic and having Clarissa work the issues worked quite nicely.  Who ever you choose, we would need about 15% of their time for now.  Later on, with coordination efforts and testing, it may go up to 75%.  I don't see that happening for a while though.

The sooner we get someone to devote to this, the better off we will be.  I expect these changes that we'll be looking into should improve performance quite a bit.  

That being said, we've identified three items that would speed up processing the retrieval of Path Manager.  

1)  Currently, the Path Manager attempts to reuse Path Ids.  I can't think of any reason why we need to perform this extra step?    It runs through this processing on the application and generally doesn't find a match.  I know Patti has mentioned this several times and I can't think of a valid reason for performing this work.  I talked with Dave Nommensen, and according to him, what used to happen is that sometimes schedulers would get duplicate paths out there which is why they put this code in place???  From a scheduling perspective, my understanding of what your main concern is to just maintain your position and be able to change it.  If you were overpathed, you'd see it in the Path Manager either way. [Pinion, Richard]    To restate the question for clarity, in path manager a scheduler pulls down a supply, market and a service, adds any up/downstream contract information and/or Duns or DRN override and then saves it.  Unify looks for an old path with those exact variables and if it finds it re-uses it and if it does not find an exact match creates a new path and path id.  I had been told that to do away with this function would create an unacceptably high amount of paths since any path once nominated on could not be deleted.  Has this changed???  At one time there were some schedulers that looked for the same path / activity number match for nominations.  Texas Eastern was the only pipeline that needed the old activity numbers no matter how long it had been since they were used.  I spoke with Chris Ordway and the new LINK system no longer needs this to occur.  Transco uses activity numbers but uses the Activity number cross reference table to that function and therefore should not be affected.  Therefore, if it does not create a space or memory problem for Unify, I don't think that this constant old path look up is needed.   [Kinsey, Lisa]   Get rid of this.  

2)  The scheduling position window:  does anyone use this?  If not, we'll remove the code logic that populates this window.  I have never seen a scheduler use this.  Please verify. [Pinion, Richard]   Originally such a window was in use by everyone in the legacy system "Autonoms" so it was duplicated in Unify by request.  It is not used in Unify now because of the other sophisticated tools Unify provides which obviate it's use.  The only value would be notification of bridge errors or contract imbalances but there are other ways to determine those problems.  As voted on in a previous meeting of the managers - Lose it!  [Kinsey, Lisa]  Why is this still here?	 

3)  On the inventory pool list, does anyone need to see the Contarct References List?  Again, this code is called every retrieval time and doesn't appear to be used from my observations.   If they do need this information, we could provide it, but if not, I'd prefer to remove the functionality. [Pinion, Richard]    This function is still very much in use by those with point based pipelines that must use the imbalance pool to facilitate balancing nomination volumes where multiple pipeline external pools exist and are pathed through the same contract imbalance pool.  Keep it!  [Kinsey, Lisa]  Yes.  We use this functionality a lot when pathing pools.	 

4)  When pathing a one to many or many to one set of paths, what's the average number of paths they create at one time?  What about updates?  I know that ANR and NIGAS are big users of this feature since they have small packages of gas that they are limited in size to.  Does the system seem faster when you update one record at a time or chunks of records?  My real question is how often they do this and for what number of paths on both Updates and Inserts.  By update, I mean, going to the path list and changing an upstream / downstream contract or a PSNA which in turn forces a new path to be created. [Pinion, Richard]    This one to many or many to one pathing goes on every day on every pipeline.  There is no 'average'.  They typically update a path with up/downstream meters or duns or dnb numbers one at a time however.  I hope this answers your question.  I see no change to this process at this time  [Kinsey, Lisa]  On some pipes this function is used more than others.  When it is used we try and do as many paths as possible.  At this time I do not see a need to change this process. 	 

5)  On brokered paths, do you want to utilize the same logic we have for Service?  In other words, when updating Brokered arrangements, we don't incorporate the same logic for zeroing out the path and recreating a new arrangment link and hence sending it to be renominated?  Why do we do this for service?  Is it because we have to renominate it?  I assume that's what it's for since we don't send brokered paths to the pipe.  Anyway, with the Nomlogic implmentation (two way interface), we were planning on having it behave the same way as service.  We need this verified. [Pinion, Richard]    We don't perform the same logic for Brokered paths because these are not nominated to the pipeline and hence do not need a zero path to be resent to the pipeline when a significant change is made to the already nominated path.  I don't see a need to change the way Brokered paths are behaving at this time. [Kinsey, Lisa]  Agree with Richard.